Subject: Re: [RFC PATCH 00/11] an introduction of library operating system for Linux (LibOS)

From: Rusty Russell <[email-masked]>
Date: Fri, 27 Mar 2015 14:01:22 +1030

Richard Weinberger <[email-masked]> writes:
> This also infers that arch/lib will be broken most of the time as
> every time the networking stack references a new symbol it
> has to be duplicated into arch/lib.
>
> But this does not mean that your idea is bad, all I want to say that
> I'm not sure whether arch/lib is the right approach.
> Maybe Arnd has a better idea.

Exactly why I look forward to getting this in-tree.  Jeremy Kerr and I
wrote nfsim back in 2005(!) which stubbed around the netfilter
infrastructure; with failtest and valgrind it found some nasty bugs.  It
was too much hassle to maintain out-of-tree though :(

I look forward to a flood of great bugfixes from this work :)

Cheers,
Rusty.